> ## Documentation Index
> Fetch the complete documentation index at: https://docs.treasuryprime.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Overview

In the Sandbox environment, you can use the following details to simulate image errors and statuses that may occur in the course of Production use of the a [`/check_deposit`](/reference/check-deposit) endpoint.

<Warning>
  **Sandbox Limitations**:

  * The check deposit simulation does **not** create transactions or update account balances. While check deposits will successfully process and transition through status changes (e.g., reaching "sent" status), no funds will be added to the account.
  * Our sandbox simulation is connected to our vendor's sandbox. You must upload valid check images (front and back) for successful testing.
</Warning>

## Simulate Image Errors

To simulate an `error` status during the image verification process, set the `amount` property to any value that starts with the number 9 (e.g. `950.10`, `0.97`, or `0.09`). The response to create the Check Deposit will initially show `status` as "pending", but will later be updated to return "canceled\_OCR".

##### Example request to force a check deposit image error

<CodeGroup>
  ```bash bash theme={null}
  curl -u $API_KEY_ID:$API_SECRET_KEY https://api.treasuryprime.com/check_deposit \
      -H 'Content-Type: application/json' \
      -d '{
            "account_id": "acct_1234567890",
            "amount": "900.00",
            "back_image_file_id": "file_0987654321",
            "front_image_file_id": "file_1234567890",
            "device": {"os_name": "ios",
                       "os_version": "12"},
            "person_id": "owner_1234567890"
          }'
  ```
</CodeGroup>

## Simulate Statuses

By default, all [Check Deposits](/reference/check-deposit) created in the sandbox environment will initially have their statuses set to "pending". To trigger a specific status for a Check Deposit object, pass one of the following values in the `amount` property.

| Status        | Test Amount                 |
| ------------- | --------------------------- |
| canceled\_OCR | Any value starting with `9` |
| error         | Any value starting with `8` |
| returned      | Any value starting with `7` |

<Warning>
  Note: Status changes are processed approximately every 10 minutes in Sandbox. After processing, the status will not change again.
</Warning>
